diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/taxonomy.php ./wordpress-3.3/wp-includes/taxonomy.php
*** ./wordpress-3.2.1/wp-includes/taxonomy.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/taxonomy.php	2011-10-28 14:52:14.000000000 -0500
***************
*** 19,25 ****
  
  	register_taxonomy( 'category', 'post', array(
  		'hierarchical' => true,
- 	 	'update_count_callback' => '_update_post_term_count',
  		'query_var' => 'category_name',
  		'rewrite' => did_action( 'init' ) ? array(
  					'hierarchical' => true,
--- 19,24 ----
***************
*** 32,38 ****
  
  	register_taxonomy( 'post_tag', 'post', array(
  	 	'hierarchical' => false,
- 		'update_count_callback' => '_update_post_term_count',
  		'query_var' => 'tag',
  		'rewrite' => did_action( 'init' ) ? array(
  					'slug' => get_option('tag_base') ? get_option('tag_base') : 'tag',
--- 31,36 ----
***************
*** 257,264 ****
   * hierarchical - has some defined purpose at other parts of the API and is a
   * boolean value.
   *
!  * update_count_callback - works much like a hook, in that it will be called
!  * when the count is updated.
   *
   * rewrite - false to prevent rewrite, or array('slug'=>$slug) to customize
   * permastruct; default will use $taxonomy as slug.
--- 255,264 ----
   * hierarchical - has some defined purpose at other parts of the API and is a
   * boolean value.
   *
!  * update_count_callback - works much like a hook, in that it will be called when the count is updated.
!  * 	Defaults to _update_post_term_count() for taxonomies attached to post types, which then confirms
!  * 	that the objects are published before counting them.
!  * 	Defaults to _update_generic_term_count() for taxonomies attached to other object types, such as links.
   *
   * rewrite - false to prevent rewrite, or array('slug'=>$slug) to customize
   * permastruct; default will use $taxonomy as slug.
***************
*** 266,272 ****
   * query_var - false to prevent queries, or string to customize query var
   * (?$query_var=$term); default will use $taxonomy as query var.
   *
!  * public - If the taxonomy should be publically queryable; //@TODO not implemented.
   * defaults to true.
   *
   * show_ui - If the WordPress UI admin tags UI should apply to this taxonomy;
--- 266,272 ----
   * query_var - false to prevent queries, or string to customize query var
   * (?$query_var=$term); default will use $taxonomy as query var.
   *
!  * public - If the taxonomy should be publicly queryable; //@TODO not implemented.
   * defaults to true.
   *
   * show_ui - If the WordPress UI admin tags UI should apply to this taxonomy;
***************
*** 276,282 ****
   * Defaults to public.
   *
   * show_tagcloud - false to prevent the taxonomy being listed in the Tag Cloud Widget;
!  * defaults to show_ui which defalts to public.
   *
   * labels - An array of labels for this taxonomy. You can see accepted values in {@link get_taxonomy_labels()}. By default tag labels are used for non-hierarchical types and category labels for hierarchical ones.
   *
--- 276,282 ----
   * Defaults to public.
   *
   * show_tagcloud - false to prevent the taxonomy being listed in the Tag Cloud Widget;
!  * defaults to show_ui which defaults to public.
   *
   * labels - An array of labels for this taxonomy. You can see accepted values in {@link get_taxonomy_labels()}. By default tag labels are used for non-hierarchical types and category labels for hierarchical ones.
   *
***************
*** 363,376 ****
  
  	// register callback handling for metabox
   	add_filter('wp_ajax_add-' . $taxonomy, '_wp_ajax_add_hierarchical_term');
  }
  
  /**
   * Builds an object with all taxonomy labels out of a taxonomy object
   *
   * Accepted keys of the label array in the taxonomy object:
!  * - name - general name for the taxonomy, usually plural. The same as and overriden by $tax->label. Default is Post Tags/Categories
!  * - singular_name - name for one object of this taxonomy. Default is Post Tag/Category
   * - search_items - Default is Search Tags/Search Categories
   * - popular_items - This string isn't used on hierarchical taxonomies. Default is Popular Tags
   * - all_items - Default is All Tags/All Categories
--- 363,378 ----
  
  	// register callback handling for metabox
   	add_filter('wp_ajax_add-' . $taxonomy, '_wp_ajax_add_hierarchical_term');
+ 
+ 	do_action( 'registered_taxonomy', $taxonomy, $object_type, $args );
  }
  
  /**
   * Builds an object with all taxonomy labels out of a taxonomy object
   *
   * Accepted keys of the label array in the taxonomy object:
!  * - name - general name for the taxonomy, usually plural. The same as and overridden by $tax->label. Default is Tags/Categories
!  * - singular_name - name for one object of this taxonomy. Default is Tag/Category
   * - search_items - Default is Search Tags/Search Categories
   * - popular_items - This string isn't used on hierarchical taxonomies. Default is Popular Tags
   * - all_items - Default is All Tags/All Categories
***************
*** 396,403 ****
  		$tax->labels['separate_items_with_commas'] = $tax->helps;
  
  	$nohier_vs_hier_defaults = array(
! 		'name' => array( _x( 'Post Tags', 'taxonomy general name' ), _x( 'Categories', 'taxonomy general name' ) ),
! 		'singular_name' => array( _x( 'Post Tag', 'taxonomy singular name' ), _x( 'Category', 'taxonomy singular name' ) ),
  		'search_items' => array( __( 'Search Tags' ), __( 'Search Categories' ) ),
  		'popular_items' => array( __( 'Popular Tags' ), null ),
  		'all_items' => array( __( 'All Tags' ), __( 'All Categories' ) ),
--- 398,405 ----
  		$tax->labels['separate_items_with_commas'] = $tax->helps;
  
  	$nohier_vs_hier_defaults = array(
! 		'name' => array( _x( 'Tags', 'taxonomy general name' ), _x( 'Categories', 'taxonomy general name' ) ),
! 		'singular_name' => array( _x( 'Tag', 'taxonomy singular name' ), _x( 'Category', 'taxonomy singular name' ) ),
  		'search_items' => array( __( 'Search Tags' ), __( 'Search Categories' ) ),
  		'popular_items' => array( __( 'Popular Tags' ), null ),
  		'all_items' => array( __( 'All Tags' ), __( 'All Categories' ) ),
***************
*** 850,858 ****
  	} else {
  		if ( is_object($term) )
  			$term = $term->term_id;
! 		$term = (int) $term;
  		if ( ! $_term = wp_cache_get($term, $taxonomy) ) {
! 			$_term = $wpdb->get_row( $wpdb->prepare( "SELECT t.*, tt.* FROM $wpdb->terms AS t INNER JOIN $wpdb->term_taxonomy AS tt ON t.term_id = tt.term_id WHERE tt.taxonomy = %s AND t.term_id = %s LIMIT 1", $taxonomy, $term) );
  			if ( ! $_term )
  				return $null;
  			wp_cache_add($term, $_term, $taxonomy);
--- 852,861 ----
  	} else {
  		if ( is_object($term) )
  			$term = $term->term_id;
! 		if ( !$term = (int) $term )
! 			return $null;
  		if ( ! $_term = wp_cache_get($term, $taxonomy) ) {
! 			$_term = $wpdb->get_row( $wpdb->prepare( "SELECT t.*, tt.* FROM $wpdb->terms AS t INNER JOIN $wpdb->term_taxonomy AS tt ON t.term_id = tt.term_id WHERE tt.taxonomy = %s AND t.term_id = %d LIMIT 1", $taxonomy, $term) );
  			if ( ! $_term )
  				return $null;
  			wp_cache_add($term, $_term, $taxonomy);
***************
*** 1158,1164 ****
  
  	foreach ( $taxonomies as $taxonomy ) {
  		if ( ! taxonomy_exists($taxonomy) ) {
! 			$error = & new WP_Error('invalid_taxonomy', __('Invalid Taxonomy'));
  			return $error;
  		}
  	}
--- 1161,1167 ----
  
  	foreach ( $taxonomies as $taxonomy ) {
  		if ( ! taxonomy_exists($taxonomy) ) {
! 			$error = new WP_Error('invalid_taxonomy', __('Invalid Taxonomy'));
  			return $error;
  		}
  	}
***************
*** 1495,1501 ****
  /**
   * Sanitize Term all fields.
   *
!  * Relys on sanitize_term_field() to sanitize the term. The difference is that
   * this function will sanitize <strong>all</strong> fields. The context is based
   * on sanitize_term_field().
   *
--- 1498,1504 ----
  /**
   * Sanitize Term all fields.
   *
!  * Relies on sanitize_term_field() to sanitize the term. The difference is that
   * this function will sanitize <strong>all</strong> fields. The context is based
   * on sanitize_term_field().
   *
***************
*** 1784,1790 ****
   * @uses wp_delete_term()
   *
   * @param int $cat_ID
!  * @return mixed Returns true if completes delete action; false if term doesnt exist;
   * 	Zero on attempted deletion of default Category; WP_Error object is also a possibility.
   */
  function wp_delete_category( $cat_ID ) {
--- 1787,1793 ----
   * @uses wp_delete_term()
   *
   * @param int $cat_ID
!  * @return mixed Returns true if completes delete action; false if term doesn't exist;
   * 	Zero on attempted deletion of default Category; WP_Error object is also a possibility.
   */
  function wp_delete_category( $cat_ID ) {
***************
*** 1809,1815 ****
   * 'all_with_object_id'.
   *
   * The fields argument also decides what will be returned. If 'all' or
!  * 'all_with_object_id' is choosen or the default kept intact, then all matching
   * terms objects will be returned. If either 'ids' or 'names' is used, then an
   * array of all matching term ids or term names will be returned respectively.
   *
--- 1812,1818 ----
   * 'all_with_object_id'.
   *
   * The fields argument also decides what will be returned. If 'all' or
!  * 'all_with_object_id' is chosen or the default kept intact, then all matching
   * terms objects will be returned. If either 'ids' or 'names' is used, then an
   * array of all matching term ids or term names will be returned respectively.
   *
***************
*** 1892,1897 ****
--- 1895,1902 ----
  		$select_this = 't.term_id';
  	else if ( 'names' == $fields )
  		$select_this = 't.name';
+ 	else if ( 'slugs' == $fields )
+ 		$select_this = 't.slug';
  	else if ( 'all_with_object_id' == $fields )
  		$select_this = 't.*, tt.*, tr.object_id';
  
***************
*** 1900,1906 ****
  	if ( 'all' == $fields || 'all_with_object_id' == $fields ) {
  		$terms = array_merge($terms, $wpdb->get_results($query));
  		update_term_cache($terms);
! 	} else if ( 'ids' == $fields || 'names' == $fields ) {
  		$terms = array_merge($terms, $wpdb->get_col($query));
  	} else if ( 'tt_ids' == $fields ) {
  		$terms = $wpdb->get_col("SELECT tr.term_taxonomy_id FROM $wpdb->term_relationships AS tr INNER JOIN $wpdb->term_taxonomy AS tt ON tr.term_taxonomy_id = tt.term_taxonomy_id WHERE tr.object_id IN ($object_ids) AND tt.taxonomy IN ($taxonomies) $orderby $order");
--- 1905,1911 ----
  	if ( 'all' == $fields || 'all_with_object_id' == $fields ) {
  		$terms = array_merge($terms, $wpdb->get_results($query));
  		update_term_cache($terms);
! 	} else if ( 'ids' == $fields || 'names' == $fields || 'slugs' == $fields ) {
  		$terms = array_merge($terms, $wpdb->get_col($query));
  	} else if ( 'tt_ids' == $fields ) {
  		$terms = $wpdb->get_col("SELECT tr.term_taxonomy_id FROM $wpdb->term_relationships AS tr INNER JOIN $wpdb->term_taxonomy AS tt ON tr.term_taxonomy_id = tt.term_taxonomy_id WHERE tr.object_id IN ($object_ids) AND tt.taxonomy IN ($taxonomies) $orderby $order");
***************
*** 1915,1921 ****
  /**
   * Adds a new term to the database. Optionally marks it as an alias of an existing term.
   *
!  * Error handling is assigned for the nonexistance of the $taxonomy and $term
   * parameters before inserting. If both the term id and taxonomy exist
   * previously, then an array will be returned that contains the term id and the
   * contents of what is returned. The keys of the array are 'term_id' and
--- 1920,1926 ----
  /**
   * Adds a new term to the database. Optionally marks it as an alias of an existing term.
   *
!  * Error handling is assigned for the nonexistence of the $taxonomy and $term
   * parameters before inserting. If both the term id and taxonomy exist
   * previously, then an array will be returned that contains the term id and the
   * contents of what is returned. The keys of the array are 'term_id' and
***************
*** 2112,2117 ****
--- 2117,2123 ----
  
  	$tt_ids = array();
  	$term_ids = array();
+ 	$new_tt_ids = array();
  
  	foreach ( (array) $terms as $term) {
  		if ( !strlen(trim($term)) )
***************
*** 2134,2142 ****
  		do_action( 'add_term_relationship', $object_id, $tt_id );
  		$wpdb->insert( $wpdb->term_relationships, array( 'object_id' => $object_id, 'term_taxonomy_id' => $tt_id ) );
  		do_action( 'added_term_relationship', $object_id, $tt_id );
  	}
  
! 	wp_update_term_count($tt_ids, $taxonomy);
  
  	if ( ! $append ) {
  		$delete_terms = array_diff($old_tt_ids, $tt_ids);
--- 2140,2150 ----
  		do_action( 'add_term_relationship', $object_id, $tt_id );
  		$wpdb->insert( $wpdb->term_relationships, array( 'object_id' => $object_id, 'term_taxonomy_id' => $tt_id ) );
  		do_action( 'added_term_relationship', $object_id, $tt_id );
+ 		$new_tt_ids[] = $tt_id;
  	}
  
! 	if ( $new_tt_ids )
! 		wp_update_term_count( $new_tt_ids, $taxonomy );
  
  	if ( ! $append ) {
  		$delete_terms = array_diff($old_tt_ids, $tt_ids);
***************
*** 2176,2182 ****
   * hierarchical and has a parent, it will append that parent to the $slug.
   *
   * If that still doesn't return an unique slug, then it try to append a number
!  * until it finds a number that is truely unique.
   *
   * The only purpose for $term is for appending a parent, if one exists.
   *
--- 2184,2190 ----
   * hierarchical and has a parent, it will append that parent to the $slug.
   *
   * If that still doesn't return an unique slug, then it try to append a number
!  * until it finds a number that is truly unique.
   *
   * The only purpose for $term is for appending a parent, if one exists.
   *
***************
*** 2382,2388 ****
  /**
   * Updates the amount of terms in taxonomy.
   *
!  * If there is a taxonomy callback applyed, then it will be called for updating
   * the count.
   *
   * The default action is to count what the amount of terms have the relationship
--- 2390,2396 ----
  /**
   * Updates the amount of terms in taxonomy.
   *
!  * If there is a taxonomy callback applied, then it will be called for updating
   * the count.
   *
   * The default action is to count what the amount of terms have the relationship
***************
*** 2441,2454 ****
  	if ( !empty($taxonomy->update_count_callback) ) {
  		call_user_func($taxonomy->update_count_callback, $terms, $taxonomy);
  	} else {
! 		// Default count updater
! 		foreach ( (array) $terms as $term) {
! 			$count = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(*) FROM $wpdb->term_relationships WHERE term_taxonomy_id = %d", $term) );
! 			do_action( 'edit_term_taxonomy', $term, $taxonomy );
! 			$wpdb->update( $wpdb->term_taxonomy, compact( 'count' ), array( 'term_taxonomy_id' => $term ) );
! 			do_action( 'edited_term_taxonomy', $term, $taxonomy );
  		}
  
  	}
  
  	clean_term_cache($terms, '', false);
--- 2449,2467 ----
  	if ( !empty($taxonomy->update_count_callback) ) {
  		call_user_func($taxonomy->update_count_callback, $terms, $taxonomy);
  	} else {
! 		$object_types = (array) $taxonomy->object_type;
! 		foreach ( $object_types as &$object_type ) {
! 			if ( 0 === strpos( $object_type, 'attachment:' ) )
! 				list( $object_type ) = explode( ':', $object_type );
  		}
  
+ 		if ( $object_types == array_filter( $object_types, 'post_type_exists' ) ) {
+ 			// Only post types are attached to this taxonomy
+ 			_update_post_term_count( $terms, $taxonomy );
+ 		} else {
+ 			// Default count updater
+ 			_update_generic_term_count( $terms, $taxonomy );
+ 		}
  	}
  
  	clean_term_cache($terms, '', false);
***************
*** 2803,2810 ****
  	// Touch every ancestor's lookup row for each post in each term
  	foreach ( $term_ids as $term_id ) {
  		$child = $term_id;
! 		while ( $parent = $terms_by_id[$child]->parent ) {
! 			if ( !empty($term_items[$term_id]) )
  				foreach ( $term_items[$term_id] as $item_id => $touches ) {
  					$term_items[$parent][$item_id] = isset($term_items[$parent][$item_id]) ? ++$term_items[$parent][$item_id]: 1;
  				}
--- 2816,2823 ----
  	// Touch every ancestor's lookup row for each post in each term
  	foreach ( $term_ids as $term_id ) {
  		$child = $term_id;
! 		while ( !empty( $terms_by_id[$child] ) && $parent = $terms_by_id[$child]->parent ) {
! 			if ( !empty( $term_items[$term_id] ) )
  				foreach ( $term_items[$term_id] as $item_id => $touches ) {
  					$term_items[$parent][$item_id] = isset($term_items[$parent][$item_id]) ? ++$term_items[$parent][$item_id]: 1;
  				}
***************
*** 2840,2856 ****
  function _update_post_term_count( $terms, $taxonomy ) {
  	global $wpdb;
  
! 	$object_types = is_array($taxonomy->object_type) ? $taxonomy->object_type : array($taxonomy->object_type);
! 	$object_types = esc_sql($object_types);
  
  	foreach ( (array) $terms as $term ) {
! 		$count = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(*) FROM $wpdb->term_relationships, $wpdb->posts WHERE $wpdb->posts.ID = $wpdb->term_relationships.object_id AND post_status = 'publish' AND post_type IN ('" . implode("', '", $object_types) . "') AND term_taxonomy_id = %d", $term ) );
  		do_action( 'edit_term_taxonomy', $term, $taxonomy );
  		$wpdb->update( $wpdb->term_taxonomy, compact( 'count' ), array( 'term_taxonomy_id' => $term ) );
  		do_action( 'edited_term_taxonomy', $term, $taxonomy );
  	}
  }
  
  
  /**
   * Generates a permalink for a taxonomy term archive.
--- 2853,2914 ----
  function _update_post_term_count( $terms, $taxonomy ) {
  	global $wpdb;
  
! 	$object_types = (array) $taxonomy->object_type;
! 
! 	foreach ( $object_types as &$object_type )
! 		list( $object_type ) = explode( ':', $object_type );
! 
! 	$object_types = array_unique( $object_types );
! 
! 	if ( false !== ( $check_attachments = array_search( 'attachment', $object_types ) ) ) {
! 		unset( $object_types[ $check_attachments ] );
! 		$check_attachments = true;
! 	}
! 
! 	if ( $object_types )
! 		$object_types = esc_sql( array_filter( $object_types, 'post_type_exists' ) );
  
  	foreach ( (array) $terms as $term ) {
! 		$count = 0;
! 
! 		// Attachments can be 'inherit' status, we need to base count off the parent's status if so
! 		if ( $check_attachments )
! 			$count += (int) $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(*) FROM $wpdb->term_relationships, $wpdb->posts p1 WHERE p1.ID = $wpdb->term_relationships.object_id AND ( post_status = 'publish' OR ( post_status = 'inherit' AND post_parent > 0 AND ( SELECT post_status FROM $wpdb->posts WHERE ID = p1.post_parent ) = 'publish' ) ) AND post_type = 'attachment' AND term_taxonomy_id = %d", $term ) );
! 
! 		if ( $object_types )
! 			$count += (int) $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(*) FROM $wpdb->term_relationships, $wpdb->posts WHERE $wpdb->posts.ID = $wpdb->term_relationships.object_id AND post_status = 'publish' AND post_type IN ('" . implode("', '", $object_types ) . "') AND term_taxonomy_id = %d", $term ) );
! 
! 
  		do_action( 'edit_term_taxonomy', $term, $taxonomy );
  		$wpdb->update( $wpdb->term_taxonomy, compact( 'count' ), array( 'term_taxonomy_id' => $term ) );
  		do_action( 'edited_term_taxonomy', $term, $taxonomy );
  	}
  }
  
+ /**
+  * Will update term count based on number of objects.
+  *
+  * Default callback for the link_category taxonomy.
+  *
+  * @package WordPress
+  * @subpackage Taxonomy
+  * @since 3.3.0
+  * @uses $wpdb
+  *
+  * @param array $terms List of Term taxonomy IDs
+  * @param object $taxonomy Current taxonomy object of terms
+  */
+ function _update_generic_term_count( $terms, $taxonomy ) {
+ 	global $wpdb;
+ 
+ 	foreach ( (array) $terms as $term ) {
+ 		$count = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(*) FROM $wpdb->term_relationships WHERE term_taxonomy_id = %d", $term ) );
+ 
+ 		do_action( 'edit_term_taxonomy', $term, $taxonomy );
+ 		$wpdb->update( $wpdb->term_taxonomy, compact( 'count' ), array( 'term_taxonomy_id' => $term ) );
+ 		do_action( 'edited_term_taxonomy', $term, $taxonomy );
+ 	}
+ }
  
  /**
   * Generates a permalink for a taxonomy term archive.
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/theme-compat/comments.php ./wordpress-3.3/wp-includes/theme-compat/comments.php
*** ./wordpress-3.2.1/wp-includes/theme-compat/comments.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/theme-compat/comments.php	2011-10-20 10:04:46.000000000 -0500
***************
*** 70,76 ****
  
  <?php if ( is_user_logged_in() ) : ?>
  
! <p><?php printf(__('Logged in as <a href="%1$s">%2$s</a>.'), get_option('siteurl') . '/wp-admin/profile.php', $user_identity); ?> <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="<?php _e('Log out of this account'); ?>"><?php _e('Log out &raquo;'); ?></a></p>
  
  <?php else : ?>
  
--- 70,76 ----
  
  <?php if ( is_user_logged_in() ) : ?>
  
! <p><?php printf(__('Logged in as <a href="%1$s">%2$s</a>.'), get_option('siteurl') . '/wp-admin/profile.php', $user_identity); ?> <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="<?php esc_attr_e('Log out of this account'); ?>"><?php _e('Log out &raquo;'); ?></a></p>
  
  <?php else : ?>
  
***************
*** 89,95 ****
  
  <p><textarea name="comment" id="comment" cols="58" rows="10" tabindex="4"></textarea></p>
  
! <p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit Comment'); ?>" />
  <?php comment_id_fields(); ?>
  </p>
  <?php do_action('comment_form', $post->ID); ?>
--- 89,95 ----
  
  <p><textarea name="comment" id="comment" cols="58" rows="10" tabindex="4"></textarea></p>
  
! <p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php esc_attr_e('Submit Comment'); ?>" />
  <?php comment_id_fields(); ?>
  </p>
  <?php do_action('comment_form', $post->ID); ?>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/theme-compat/comments-popup.php ./wordpress-3.3/wp-includes/theme-compat/comments-popup.php
*** ./wordpress-3.2.1/wp-includes/theme-compat/comments-popup.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/theme-compat/comments-popup.php	2011-10-20 10:04:46.000000000 -0500
***************
*** 8,14 ****
   *
   */
  _deprecated_file( sprintf( __( 'Theme without %1$s' ), basename(__FILE__) ), '3.0', null, sprintf( __('Please include a %1$s template in your theme.'), basename(__FILE__) ) );
! ?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
       <title><?php printf(__('%1$s - Comments on %2$s'), get_option('blogname'), the_title('','',false)); ?></title>
--- 8,14 ----
   *
   */
  _deprecated_file( sprintf( __( 'Theme without %1$s' ), basename(__FILE__) ), '3.0', null, sprintf( __('Please include a %1$s template in your theme.'), basename(__FILE__) ) );
! ?><!DOCTYPE html>
  <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
       <title><?php printf(__('%1$s - Comments on %2$s'), get_option('blogname'), the_title('','',false)); ?></title>
***************
*** 95,101 ****
  	<p>
  	  <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
  	  <input type="hidden" name="redirect_to" value="<?php echo esc_attr($_SERVER["REQUEST_URI"]); ?>" />
! 	  <input name="submit" type="submit" tabindex="5" value="<?php _e('Say It!' ); ?>" />
  	</p>
  	<?php do_action('comment_form', $post->ID); ?>
  </form>
--- 95,101 ----
  	<p>
  	  <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
  	  <input type="hidden" name="redirect_to" value="<?php echo esc_attr($_SERVER["REQUEST_URI"]); ?>" />
! 	  <input name="submit" type="submit" tabindex="5" value="<?php esc_attr_e('Say It!' ); ?>" />
  	</p>
  	<?php do_action('comment_form', $post->ID); ?>
  </form>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/theme-compat/header.php ./wordpress-3.3/wp-includes/theme-compat/header.php
*** ./wordpress-3.2.1/wp-includes/theme-compat/header.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/theme-compat/header.php	2011-07-21 19:25:41.000000000 -0500
***************
*** 9,15 ****
   */
  _deprecated_file( sprintf( __( 'Theme without %1$s' ), basename(__FILE__) ), '3.0', null, sprintf( __('Please include a %1$s template in your theme.'), basename(__FILE__) ) );
  ?>
! <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
  
  <head profile="http://gmpg.org/xfn/11">
--- 9,15 ----
   */
  _deprecated_file( sprintf( __( 'Theme without %1$s' ), basename(__FILE__) ), '3.0', null, sprintf( __('Please include a %1$s template in your theme.'), basename(__FILE__) ) );
  ?>
! <!DOCTYPE html>
  <html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
  
  <head profile="http://gmpg.org/xfn/11">
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/theme-compat/sidebar.php ./wordpress-3.3/wp-includes/theme-compat/sidebar.php
*** ./wordpress-3.2.1/wp-includes/theme-compat/sidebar.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/theme-compat/sidebar.php	2011-10-20 10:04:46.000000000 -0500
***************
*** 70,78 ****
  				<ul>
  					<?php wp_register(); ?>
  					<li><?php wp_loginout(); ?></li>
! 					<li><a href="http://validator.w3.org/check/referer" title="<?php _e('This page validates as XHTML 1.0 Transitional'); ?>"><?php _e('Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr>'); ?></a></li>
! 					<li><a href="http://gmpg.org/xfn/"><abbr title="<?php _e('XHTML Friends Network'); ?>"><?php _e('XFN'); ?></abbr></a></li>
! 					<li><a href="http://wordpress.org/" title="<?php _e('Powered by WordPress, state-of-the-art semantic personal publishing platform.'); ?>">WordPress</a></li>
  					<?php wp_meta(); ?>
  				</ul>
  				</li>
--- 70,78 ----
  				<ul>
  					<?php wp_register(); ?>
  					<li><?php wp_loginout(); ?></li>
! 					<li><a href="http://validator.w3.org/check/referer" title="<?php esc_attr_e('This page validates as XHTML 1.0 Transitional'); ?>"><?php _e('Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr>'); ?></a></li>
! 					<li><a href="http://gmpg.org/xfn/"><abbr title="<?php esc_attr_e('XHTML Friends Network'); ?>"><?php _e('XFN'); ?></abbr></a></li>
! 					<li><a href="http://wordpress.org/" title="<?php esc_attr_e('Powered by WordPress, state-of-the-art semantic personal publishing platform.'); ?>">WordPress</a></li>
  					<?php wp_meta(); ?>
  				</ul>
  				</li>
